Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - spop-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: spop-git r328.1a26dec-1

Git Clone URL: https://aur-dev.archlinux.org/spop-git.git (read-only)
Package Base: spop-git
Description: A Spotify client running as a daemon, similar to mpd.
Upstream URL: https://github.com/Schnouki/spop
Licenses: GPL
Submitter: Rasi
Maintainer: Schnouki (Rasi)
Last Packager: Rasi
Votes: 3
Popularity: 0.001698
First Submitted: 2015-05-14 07:43
Last Updated: 2016-08-27 10:46

Dependencies (13)

Required by (0)

Sources (1)

Latest Comments

sekret commented on 2016-08-27 11:07

One last thing (sorry for triple posting):

It compiles and runs perfectly fine on my Raspberry Pi2 with ArchlinuxARM, so you can definitely add armv7h to the arch line. I think there's no real reason why armv6h shouldn't work aswell.

Perfect, finally I can enjoy Spotify on my Pi :) Thanks a lot for this awesome application Schnouki!!!

sekret commented on 2016-08-27 10:58

Ok there's more. In order to get this thing running, you need to add some optional dependencies to the makedepends line, because


$ spopd -f
spop Copyright (C) 2010, 2011, 2012, 2013, 2014, 2015 Thomas Jost and the spop contributors
This program comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to redistribute it under certain conditions.
See the COPYING file bundled with this program for details.
Powered by SPOTIFY(R) CORE

2016-08-27 12:51:15 [ERR ] Can't load ao audio plugin: libspop_audio_ao.so: cannot open shared object file: No such file or directory
Trace/breakpoint trap (core dumped)




I build my packages in a clean chroot, where libao wasn't installed, so it wasn't compiled in. The same, if I configure it to use sox:


$ spopd -f
spop Copyright (C) 2010, 2011, 2012, 2013, 2014, 2015 Thomas Jost and the spop contributors
This program comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to redistribute it under certain conditions.
See the COPYING file bundled with this program for details.
Powered by SPOTIFY(R) CORE

2016-08-27 12:54:28 [ERR ] Can't load sox audio plugin: libspop_audio_sox.so: cannot open shared object file: No such file or directory
Trace/breakpoint trap (core dumped)



I'm not sure about the other optional dependencies, if they need to be installed at compile time.

But please definitely add libao and sox to makedepends!

Rasi commented on 2016-08-27 10:46

done

sekret commented on 2016-08-27 10:29

Please add python to makedepends, because the package won't build without it:

[ 66%] Generating plugins/mpris2/mpris2-generated.c, plugins/mpris2/mpris2-generated.h
/bin/sh: /usr/bin/gdbus-codegen: /usr/bin/python: bad interpreter: No such file or directory
make[2]: *** [CMakeFiles/spop_plugin_mpris2.dir/build.make:62: plugins/mpris2/mpris2-generated.c] Error 126
make[1]: *** [CMakeFiles/Makefile2:178: CMakeFiles/spop_plugin_mpris2.dir/all] Error 2
make: *** [Makefile:128: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...

angyath commented on 2016-02-20 10:56

lua-socket should be added as an opt-depend for the awesome widget.